NNotifyy CRM

Objects

Get a lead

Retrieve a single lead by lead ID.

Overview

Use this endpoint to read one lead record. It requires public api oauth access token authentication and the crm.leads.read scope.

GET/api/crm/objects/leads/{leadId}

cURL

GET
bash
curl --request GET \  --url 'https://crm.notifyy.io/api/crm/objects/leads/55?properties=name%2Cstatus%2Cpipeline%2Cstage&associations=company%2Cdeal' \  --header 'Authorization: Bearer nfy_public_api_access_token'

Authorization

Public API OAuth access token

crm.leads.read

Sample Request Body

This endpoint does not require a request body.

Sample Response

json
{  "success": true,  "message": "Lead retrieved successfully",  "data": {    "id": 55,    "properties": {      "name": "Acme Lead",      "status": "new",      "pipeline": "default_pipeline",      "stage": "new_stage"    },    "associations": {      "company": [        {          "id": "456",          "type": "lead_to_company"        }      ],      "deal": [        {          "id": "789",          "type": "deal_to_lead"        }      ]    }  }}

Status Codes

CodeDescription
200Lead was returned.
404Lead not found in the token-bound tenant and project.

Headers

AuthorizationstringRequired

Public API OAuth bearer token.

Example: Bearer nfy_public_api_access_token

Path parameters

leadIdintegerRequired

Lead ID.

Example: 55

Query parameters

propertiesstringOptional

Comma-separated property internal names to return.

Example: name,status,pipeline,stage

associationsstringOptional

Comma-separated associated object types to include.

Example: company,deal

Response fields

data.idinteger

Lead record ID.

data.propertiesobject

Requested lead properties keyed by internal name.